<?php

namespace Drupal\engagebay\Plugin\CKEditorPlugin;

use Drupal;
use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\ckeditor\CKEditorPluginConfigurableInterface;
use Drupal\Core\Form\FormStateInterface;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "Landing Page" plugin.
 *
 * @CKEditorPlugin(
 *   id = "landingpage",
 *   label = @Translation("Landing Page"),
 *   module = "engagebay"
 * )
 */
class LandingPage extends CKEditorPluginBase implements CKEditorPluginConfigurableInterface
{
  public function getFile()
  {
    return $this->getModulePath('engagebay') . '/js/plugins/landingpage/plugin.js';
  }

  public function getLibraries(Editor $editor) {
    return [
      'core/drupal.ajax',
    ];
  }

  public function getConfig(Editor $editor)
  {
    return [
      'engagebay_dialogLandingPageTitle' => $this->t('Landing Page')
    ];
  }

  public function getButtons()
  {
    $iconImage =  $this->getModulePath('engagebay') . '/js/plugins/landingpage/icons/landingpageicon.png';

    return [
      'LandingPage' => [
        'label' => t('Landing Pages'),
        'image' => $iconImage
      ]
    ];
  }

  public function settingsForm(array $form, FormStateInterface $form_state, Editor $editor)
  {
    $form_state->loadInclude('editor', 'admin.inc');

    return $form;

  }
}
